///////////////////////////////////////////////////////////////////////////
//
//  Version History:
//      
//      XX.XX.XXXX - Initial Submission (Michael Woods)
//


#ifndef XMLINTERFACE_H
#define XMLINTERFACE_H 1

#include <iostream>
#include <string>
#include <vector>


using namespace std;

class XMLInterface {
    public:
        XMLInterface();
        ~XMLInterface();

        vector<string> GetXML();
        string GetXMLString();
        void Load(string);
        
        XMLInterface operator() (string);


    private:
        vector<string> the_xml;
        string concatenated_xml;

};

#endif

